body{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    padding: 10px 25px 10px 20px;
    border: 2px solid #262626;
    text-decoration: none;
    color: #262626;
    transition: .5s;
}
a span:nth-child(1){
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: #262626; */
}
a span:nth-child(1):before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #262626;
    z-index: -1;
    transform: scale(0);
    transition: .5s;
}
a:hover{
    color: #fff;
}
a:hover span:nth-child(1):before{
    transform: scale(1);
}
a span:nth-child(2){
    position: absolute;
    top: 50%;
    right: -16px;
    display: block;
    transform: translateY(-50%);
    padding: 2px 5px;
    border: 2px solid #262626;
    background: #fff;
}
a span:nth-child(2):before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #4c8aff;
    z-index: -1;
    transition: .5s;
    transform: scale(0);
}
a:hover span:nth-child(2):before{
    transform: scale(1);
}